> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# The published rate card (activities, plans, setup IUs)



## OpenAPI

````yaml /openapi/v3.yaml get /api/v2/billing/rate-card
openapi: 3.1.0
info:
  title: Semicola Exchange platform API
  version: 3.0.0-preview
  description: >-
    Platform endpoints of Semicola: sign-in, signup and OAuth for MCP clients,
    accounts, members and keys, billing, notifications, the Semi assistant (chat
    stream, confirmations, conversations), the MCP App widget host and realtime
    feeds. Typed agent tools live on the MCP server at /mcp/v3.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Auth
  - name: Signup
  - name: OAuth
  - name: Accounts
  - name: Members
  - name: API Keys
  - name: Connected Apps
  - name: Onboarding
  - name: Billing
  - name: AI Usage
  - name: Notifications
  - name: Assistant
  - name: MCP Apps
  - name: Realtime
  - name: Demo
paths:
  /api/v2/billing/rate-card:
    get:
      tags:
        - Billing
      summary: The published rate card (activities, plans, setup IUs)
      operationId: getBillingRateCard
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          version:
                            type: string
                          label:
                            type: string
                          effectiveAt:
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                          activities:
                            type: array
                            items:
                              type: object
                              properties:
                                code:
                                  type: string
                                displayName:
                                  type: string
                                ius:
                                  type: string
                                  pattern: ^-?\d+(\.\d{1,6})?$
                                catalogStatus:
                                  type: string
                                  enum:
                                    - PUBLISHED
                                    - CALIBRATING
                                    - MEASURING
                              required:
                                - code
                                - displayName
                                - ius
                                - catalogStatus
                              additionalProperties: false
                          plans:
                            type: array
                            items:
                              type: object
                              properties:
                                planKey:
                                  type: string
                                displayName:
                                  type: string
                                commitmentMinor:
                                  type: string
                                  pattern: ^-?\d+$
                                includedIus:
                                  type: string
                                  pattern: ^-?\d+(\.\d{1,6})?$
                                overageMinor:
                                  type: string
                                  pattern: ^-?\d+$
                                currency:
                                  type: string
                                  pattern: ^[A-Z]{3}$
                              required:
                                - planKey
                                - displayName
                                - commitmentMinor
                                - includedIus
                                - overageMinor
                                - currency
                              additionalProperties: false
                          setupIus:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                        required:
                          - version
                          - label
                          - effectiveAt
                          - activities
                          - plans
                          - setupIus
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````